#! /bin/sh
### BEGIN INIT INFO
# Provides:          firewall.sh
# Required-Start:    $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Run Linux Firewall /etc/rc.d/rc.firewall
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start() {
	if [ -x /etc/rc.d/rc.firewall ]; then
	        [ "$VERBOSE" != no ] && log_begin_msg "Running Puppy Linux Firewall (/etc/rc.d/rc.firewall)"
/etc/rc.d/rc.firewall start
		ES=$?
		[ "$VERBOSE" != no ] && log_end_msg $ES
		return $ES
	fi
}

case "$1" in
    start)
	do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop|status)
/etc/rc.d/rc.firewall stop
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac
